DBusTransport implementations for UNIX
D-Bus secret internal implementation details

Implementation details of DBusTransport on UNIX. More...

## Functions

DBusTransportOpenResult | _dbus_transport_open_unixexec (DBusAddressEntry *entry, DBusTransport **transport_p, DBusError *error)
DBusTransportOpenResult | _dbus_transport_open_platform_specific (DBusAddressEntry *entry, DBusTransport **transport_p, DBusError *error)
| Opens platform specific transport types.

## Detailed Description

Implementation details of DBusTransport on UNIX.

## Function Documentation

## _dbus_transport_open_platform_specific()

DBusTransportOpenResult _dbus_transport_open_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusTransport ** | transport_p,
|  | DBusError * | error )

Opens platform specific transport types.

Parameters

  entry | the address entry to try opening
  transport_p | return location for the opened transport
  error | error to be set

Returns
  result of the attempt

Definition at line 248 of file dbus-transport-unix.c.

References _dbus_assert, _dbus_lookup_launchd_socket(), _dbus_set_bad_address(), _dbus_string_free(), _dbus_string_init(), _dbus_transport_new_for_domain_socket(), dbus_address_entry_get_method(), dbus_address_entry_get_value(), DBUS_ERROR_BAD_ADDRESS, dbus_error_free(), DBUS_ERROR_INIT, dbus_error_is_set(), dbus_move_error(), dbus_set_error(), FALSE, and NULL.

## _dbus_transport_open_unixexec()

DBusTransportOpenResult _dbus_transport_open_unixexec | ( | DBusAddressEntry * | entry,
|  | DBusTransport ** | transport_p,
|  | DBusError * | error )

Definition at line 149 of file dbus-transport-unix.c.